%global srcname p1_stringprep
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.0
Release: 2%{?dist}
Summary: A framework for preparing Unicode strings to help input and comparison
License: ASL 2.0 and TCL
URL: https://github.com/processone/stringprep/
Source0: https://github.com/processone/stringprep/archive/%{version}.tar.gz

Requires: erlang-erts
Requires: erlang-p1_utils
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros
BuildRequires: erlang-eunit
BuildRequires: erlang-p1_utils


%description
Stringprep is a framework for preparing Unicode test strings in order to
increase the likelihood that string input and string comparison work. The
principle are defined in RFC-3454: Preparation of Internationalized Strings.
This library is leverage Erlang native NIF mechanism to provide extremely fast
and efficient processing.


%prep
%autosetup -n stringprep-%{version}


%build
%rebar_compile


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm644 ebin/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin/
install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/

%check
%ifnarch i686
%__rebar eunit
%endif


%files
%license LICENSE.txt LICENSE.TCL LICENSE.ALL
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Sun Jan 24 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.0-2
- Fix dependency on Erlang runtime.

* Tue Dec 29 2015 Jeremy Cline <jeremy@jcline.org> - 1.0.0-1
- Initial release.
